Межсайтовый скриптинг в MyBB

Дата публикации:
31.08.2006
Всего просмотров:
2993
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4707
CVE-2006-4706
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBB (ранее MyBulletinBoard) 1.1.7, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки данных в BBCode теге "url". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

[url]java& 115;cript://%0a%0[code];[/url]

2. Уязвимость существует из-за недостаточной обработки данных в URL в сценарии admin/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/admin/index.php/[code]

URL производителя: www.mybboard.com

Решение: Установите последнюю версию (1.1.8) с сайта производителя.

Ссылки: MyBB 1.1.7~ htmlspeacialchar_uni(), fixjavascript(), functions_post.php ~[url]XSS attack
MyBB 1.1.7 ~ admin/global.php ~ XSS Attack

или введите имя

CAPTCHA